Loading...
Searching...
No Matches
Dune::Functions::Concept::CompositeBasisNode< GridView > Struct Template Reference

`#include <dune/functions/functionspacebases/concepts.hh>`

Inheritance diagram for Dune::Functions::Concept::CompositeBasisNode< GridView >:

## Public Member Functions

template<class N>
auto | require (const N &node) -> decltype(requireBaseOf< ExpandTuple< Dune::Functions::template CompositeBasisNode, Dune::TypeTree::Impl::Children< N > >, N >(), requireConceptForTupleEntries< BasisTree< GridView >, Dune::TypeTree::Impl::Children< N > >())

## Member Function Documentation

## require()

template<class GridView>
template<class N>

auto Dune::Functions::Concept::CompositeBasisNode< GridView >::require | ( | const N & | node | ) | ->decltype(requireBaseOf< ExpandTuple< Dune::Functions::templateCompositeBasisNode, Dune::TypeTree::Impl::Children< N > >, N >(), requireConceptForTupleEntries< BasisTree< GridView >, Dune::TypeTree::Impl::Children< N > >())

The documentation for this struct was generated from the following file:

- functionspacebases/concepts.hh